################################################################
# Makefile for librfc822.a
#
# Author: Jan Wielemaker (wielemak@science.uva.nl)
################################################################

CC=gcc
CFLAGS=-fPIC -O3 -fomit-frame-pointer -Wall -Wstrict-prototypes -Wmissing-prototypes -O2 -mieee -D_FORTIFY_SOURCE=2 -I/usr/include -I/usr/pkg/include -I. -I$(srcdir) -I$(srcdir)/.. -I../../../.. -DHAVE_CONFIG_H
LIBS=-lgmp -lreadline -lresolv -lcrypt -lstdc++ -lm 
AR=ar
RANLIB=ranlib
srcdir=.

OBJ=	rfc822.o rfc822_getaddr.o rfc822_getaddrs.o \
	rfc822_mkdate.o rfc822_parsedt.o rfc2047u.o \
	rfc2047.o imapsubj.o imaprefs.o

all:	librfc822.a

librfc822.a: $(OBJ)
	rm -f librfc822.a
	$(AR) r librfc822.a $(OBJ)
	$(RANLIB) librfc822.a


#
# find out how to generate .o files from $(scrdir)
#
%.o: $(srcdir)/%.c
		$(CC) -c $(CFLAGS) $< -o $@

################################################################
# Clean
################################################################

clean:
		rm -f $(OBJ) *~ *.o *% a.out core config.log

distclean:	clean
		rm -f Makefile config.status config.h librfc822.a
		rm -rf autom4te.cache
		rm -f stamp-h1
